Subject: Re: [PATCH] fsck: reject misconfigured fsck.skipList

From: Toon Claes <[email-masked]>
Date: Thu, 09 Jan 2025 09:00:04 +0100

Junio C Hamano <[email-masked]> writes:

>
> If the value is missing, i.e.,
>
> 	[fsck]
> 		skipList
>
> it is a very clear misconfiguration.  "We expect a path, but you
> gave me a valueless true".  Once a specified value gets to
> oidset_parse_file(), we would die when a specified path cannot be
> opened, so it is not like we want to deliberately tolerate
> misconfiguration (we also die if the value is given as "~t/sl" and
> user "t" does not exist on the system).
>
> Makes sense.

Yeah, I did some testing as well and reviewed the code. Also makes sense
to me.

--
Toon